import { ItemwiseStrategyBasedIndicator } from "./ItemwiseStrategyBasedIndicator";
import { ItemwiseIndicatorCalculationStrategy } from "./ItemwiseIndicatorCalculationStrategy";
import { Type } from "igniteui-react-core";
import { Series } from "./Series";
/**
 * @hidden
 */
export declare class WeightedCloseIndicator extends ItemwiseStrategyBasedIndicator {
    static $t: Type;
    protected bj(): Series;
    protected get_acf(): ItemwiseIndicatorCalculationStrategy;
    get acf(): ItemwiseIndicatorCalculationStrategy;
    protected get_ab6(): Type;
    protected get ab6(): Type;
}
